--Distance Learning Count for CRDC
select distinct stu.student_number as StuNum,
       count(*) as crscnt,
       listagg (crs.course_number,';') within group (order by crs.course_number) as crslist
from cc inner join courses crs on cc.course_number = crs.course_number
        inner join students stu on cc.studentid = stu.id
where (   crs.course_number like '%DL'
       or ps_customfields.getcf('Courses',crs.id,'VA_distance_learning') = '1'
       or ps_customfields.getcf('Courses',crs.id,'VA_Virtual_Crs_Indicator') is not null)
  and cc.termid >= 2700 and cc.termid < 2800
  and crs.credit_hours > 0
group by stu.student_number
order by 1;