select stu.student_number  as stunum   , 
       stu.lastfirst       as stuname  , 
       test.name           as testname ,
       st.test_date        as testdate
from studenttest st inner join students stu on st.studentid = stu.id
                    inner join schools scl on stu.schoolid = scl.school_number
                    inner join test on st.testid = test.id
where test.name in ('SAT','ACT')
  and st.test_date >= '7/1/2017' and st.test_date < '7/1/2018'
order by stu.student_number, st.test_date DESC;